Bug 1297783 - Update python-pymongo package
Summary: Update python-pymongo package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python-pymongo
Version: python27
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: alpha
: 2.2
Assignee: Charalampos Stratakis
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-12 13:05 UTC by Marek Skalický
Modified: 2016-05-31 10:24 UTC (History)
4 users (show)

Fixed In Version: python27-python-pymongo-3.2.1-1.el6 python27-python-pymongo-3.2.1-1.el7
Doc Type: Enhancement
Doc Text:
Feature: python-pymongo update from 2.5.2 to 3.2.1 for Python27 collection. Reason: Outdated version of python-pymongo. Result: Python27 of RHSCL now includes the latest version of python-pymongo.
Clone Of:
Environment:
Last Closed: 2016-05-31 10:24:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1166 normal SHIPPED_LIVE Moderate: python27 security, bug fix, and enhancement update 2016-05-31 14:04:55 UTC

Description Marek Skalický 2016-01-12 13:05:06 UTC
Description of problem:
Python27 software collection contains too old version of python-pymongo package. RHSCL contains version 2.5.2. This versions is marked as compatible only for almost 3 years old version of MongoDB (last actualization on 28/Apr/15).
This package (python27-python-pymongo) is required by MongoDB test suite. And it needs to be updated to by compatible with latest version of MongoDB database (actually MongoDB 3.2).

Version-Release number of selected component (if applicable):
python27-python-pymongo-2.5.2

How reproducible:
always

Actual results:
RHSCL contains python27-python-pymongo-2.5.2

Expected results:
RHSCL contains python27-python-pymongo-3.2

Comment 1 Marek Skalický 2016-01-14 09:35:16 UTC
Also link to driver compatibility table - https://docs.mongodb.org/ecosystem/drivers/driver-compatibility-reference/#reference-compatibility-mongodb-python

Comment 5 errata-xmlrpc 2016-05-31 10:24:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1166


Note You need to log in before you can comment on or make changes to this bug.